Bug 999144 - rhc-admin-migrate-datastore attempts to treat lost+found as a uuid
rhc-admin-migrate-datastore attempts to treat lost+found as a uuid
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 15:43 EDT by Sten Turpin
Modified: 2015-05-14 20:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:54:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sten Turpin 2013-08-20 15:43:32 EDT
Description of problem:
rhc-admin-migrate-datastore attempts to operate on lost+found dir

Version-Release number of selected component (if applicable): rhc-broker-1.13.6-1.el6oso.noarch


How reproducible:
always

Steps to Reproduce:
1. run rhc-admin-migrate-datastore

Actual results:
/opt/rh/ruby193/root/usr/share/ruby/mcollective/rpc/client.rb:909:in `process_results_with_block': can't find user for lost+found (MCollective::UnknownRPCError)
        from /opt/rh/ruby193/root/usr/share/ruby/mcollective/rpc/client.rb:826:in `block in call_agent'
        from /opt/rh/ruby193/root/usr/share/ruby/mcollective/client.rb:156:in `block (2 levels) in req'
        from /opt/rh/ruby193/root/usr/share/ruby/mcollective/client.rb:151:in `loop'
        from /opt/rh/ruby193/root/usr/share/ruby/mcollective/client.rb:151:in `block in req'
        from /opt/rh/ruby193/root/usr/share/ruby/timeout.rb:69:in `timeout'
        from /opt/rh/ruby193/root/usr/share/ruby/mcollective/client.rb:148:in `req'
        from /opt/rh/ruby193/root/usr/share/ruby/mcollective/rpc/client.rb:822:in `call_agent'
        from /opt/rh/ruby193/root/usr/share/ruby/mcollective/rpc/client.rb:243:in `method_missing'
        from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-msg-broker-mcollective-1.13.3/lib/openshift/mcollective_application_container_proxy.rb:3132:in `block in get_all_gears_endpoints_impl'
        from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-msg-broker-mcollective-1.13.3/lib/openshift/mcollective_application_container_proxy.rb:2111:in `rpc_exec'
        from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-msg-broker-mcollective-1.13.3/lib/openshift/mcollective_application_container_proxy.rb:3131:in `get_all_gears_endpoints_impl'
        from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.13.5/lib/openshift/application_container_proxy.rb:54:in `get_all_gears_endpoints'
        from /usr/bin/rhc-admin-migrate-datastore:47:in `update_gears'
        from /usr/bin/rhc-admin-migrate-datastore:29:in `migrate'
        from /usr/bin/rhc-admin-migrate-datastore:376:in `<main>'

Expected results:
Clean return

Additional info:
Comment 1 Rajat Chopra 2013-08-21 12:06:07 EDT
Fixed with pull request : https://github.com/openshift/origin-server/pull/3448
Comment 2 openshift-github-bot 2013-08-21 13:16:38 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/1066a6b5d7000325eed9cfdd6cd94d09309b3702
fix bug 999144 - check gear_file against uid map
Comment 3 Jianwei Hou 2013-08-22 02:28:02 EDT
Verified on devenv_3684

On one tab: tailf /var/log/openshift/broker/developemt.log | grep 'lost+found'

On another tab: run rhc-admin-migrate-datastore

There is not log with 'lost+found' appended to development.log, this bug is fixed.

Note You need to log in before you can comment on or make changes to this bug.